VULKAN_HPP_NAMESPACE::SampleLocationEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| SampleLocationEXT (float x_=0, float y_=0)
| SampleLocationEXT (VkSampleLocationEXT const &rhs)
SampleLocationEXT & | operator= (VkSampleLocationEXT const &rhs)
SampleLocationEXT & | setX (float x_)
SampleLocationEXT & | setY (float y_)
| operator VkSampleLocationEXT const & () const
| operator VkSampleLocationEXT & ()
bool | operator== (SampleLocationEXT const &rhs) const
bool | operator!= (SampleLocationEXT const &rhs) const

## Data Fields

float | x
float | y

## Detailed Description

Definition at line 7628 of file vulkan.hpp.

## Constructor & Destructor Documentation

## SampleLocationEXT() [1/2]

VULKAN_HPP_NAMESPACE::SampleLocationEXT::SampleLocationEXT | ( | float | x_ = `0`,
|  | float | y_ = `0`
| ) |  |

inline

Definition at line 7630 of file vulkan.hpp.

: x( x_ )
, y( y_ )
{
}

## SampleLocationEXT() [2/2]

VULKAN_HPP_NAMESPACE::SampleLocationEXT::SampleLocationEXT | ( | VkSampleLocationEXT const & | rhs | ) |

inline

Definition at line 7637 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SampleLocationEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkSampleLocationEXT &()

VULKAN_HPP_NAMESPACE::SampleLocationEXT::operator VkSampleLocationEXT & | ( |  | ) |

inline

Definition at line 7664 of file vulkan.hpp.

{
return *reinterpret_cast<VkSampleLocationEXT*>(this);
}

## operator VkSampleLocationEXT const &()

VULKAN_HPP_NAMESPACE::SampleLocationEXT::operator VkSampleLocationEXT const & | ( |  | ) | const

inline

Definition at line 7659 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSampleLocationEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SampleLocationEXT::operator!= | ( | SampleLocationEXT const & | rhs | ) | const

inline

Definition at line 7675 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

SampleLocationEXT& VULKAN_HPP_NAMESPACE::SampleLocationEXT::operator= | ( | VkSampleLocationEXT const & | rhs | ) |

inline

Definition at line 7642 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SampleLocationEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::SampleLocationEXT::operator== | ( | SampleLocationEXT const & | rhs | ) | const

inline

Definition at line 7669 of file vulkan.hpp.

{
return ( x == rhs.x )
&& ( y == rhs.y );
}

References x, and y.

Referenced by operator!=().

## setX()

SampleLocationEXT& VULKAN_HPP_NAMESPACE::SampleLocationEXT::setX | ( | float | x_ | ) |

inline

Definition at line 7647 of file vulkan.hpp.

{
x = x_;
return *this;
}

## setY()

SampleLocationEXT& VULKAN_HPP_NAMESPACE::SampleLocationEXT::setY | ( | float | y_ | ) |

inline

Definition at line 7653 of file vulkan.hpp.

{
y = y_;
return *this;
}

## Field Documentation

## x

float VULKAN_HPP_NAMESPACE::SampleLocationEXT::x

Definition at line 7680 of file vulkan.hpp.

Referenced by operator==().

## y

float VULKAN_HPP_NAMESPACE::SampleLocationEXT::y

Definition at line 7681 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SampleLocationEXT::operator==
bool operator==(SampleLocationEXT const &rhs) const
Definition: vulkan.hpp:7669
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::SampleLocationEXT::SampleLocationEXT
SampleLocationEXT(float x_=0, float y_=0)
Definition: vulkan.hpp:7630
x
GLint GLint GLint GLint GLint x
Definition: SDL_opengl.h:1574
VULKAN_HPP_NAMESPACE::SampleLocationEXT::y
float y
Definition: vulkan.hpp:7681
VkSampleLocationEXT
Definition: vulkan_core.h:7624
y
GLint GLint GLint GLint GLint GLint y
Definition: SDL_opengl.h:1574
VULKAN_HPP_NAMESPACE::SampleLocationEXT::x
float x
Definition: vulkan.hpp:7680